Debian Bug report logs - #551053
libs no longer contained in package

version graph

Package: libpthread-stubs0; Maintainer for libpthread-stubs0 is XCB Developers <xcb@lists.freedesktop.org>; Source for libpthread-stubs0 is src:libpthread-stubs.

Reported by: Thomas Kittel <kittel@in.tum.de>

Date: Thu, 15 Oct 2009 09:36:02 UTC

Severity: grave

Merged with 551042, 551044, 551047, 551067

Found in versions libpthread-stubs/0.1-2, libpthread-stubs/0.2-1, libpthread-stubs/0.3-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#551053; Package libpthread-stubs0. (Thu, 15 Oct 2009 09:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Kittel <kittel@in.tum.de>:
New Bug report received and forwarded. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Thu, 15 Oct 2009 09:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Kittel <kittel@in.tum.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpthread-stubs0: no shared object in new debian package V0.3-1
Date: Thu, 15 Oct 2009 11:32:04 +0200
Package: libpthread-stubs0
Version: 0.1-2
Severity: critical
Justification: breaks unrelated software

Hi there,

new version of libpthread-stubs0 does not contain a shared object.

dpkg -c /var/cache/apt/archives/libpthread-stubs0_0.3-1_i386.deb 
drwxr-xr-x root/root         0 2009-10-14 12:55 ./
drwxr-xr-x root/root         0 2009-10-14 12:55 ./usr/
drwxr-xr-x root/root         0 2009-10-14 12:55 ./usr/share/
drwxr-xr-x root/root         0 2009-10-14 12:55 ./usr/share/doc/
drwxr-xr-x root/root         0 2009-10-14 12:55 ./usr/share/doc/libpthread-stubs0/
-rw-r--r-- root/root       487 2009-10-14 12:55 ./usr/share/doc/libpthread-stubs0/changelog.Debian.gz
-rw-r--r-- root/root      1848 2009-10-14 12:55 ./usr/share/doc/libpthread-stubs0/copyright
-rw-r--r-- root/root       651 2009-08-20 09:54 ./usr/share/doc/libpthread-stubs0/README

Please reinclude

thx Tom


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (890, 'unstable'), (850, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 15 Oct 2009 10:30:05 GMT) Full text and rfc822 format available.

Notification sent to Thomas Kittel <kittel@in.tum.de>:
Bug acknowledged by developer. (Thu, 15 Oct 2009 10:30:08 GMT) Full text and rfc822 format available.

Message #10 received at 551053-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Kittel <kittel@in.tum.de>, 551053-done@bugs.debian.org
Subject: Re: Bug#551053: libpthread-stubs0: no shared object in new debian package V0.3-1
Date: Thu, 15 Oct 2009 11:56:09 +0200
On Thu, Oct 15, 2009 at 11:32:04 +0200, Thomas Kittel wrote:

> Package: libpthread-stubs0
> Version: 0.1-2
> Severity: critical
> Justification: breaks unrelated software
> 
The above is on crack...

> Hi there,
> 
> new version of libpthread-stubs0 does not contain a shared object.
> 
That's expected, it wasn't supposed to contain one in the first place.
libdrm-intel is being rebuilt to lose the dependency.

Cheers,
Julien




Severity set to 'grave' from 'critical' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 15 Oct 2009 12:06:08 GMT) Full text and rfc822 format available.

Forcibly Merged 551042 551044 551047 551053. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 15 Oct 2009 12:06:11 GMT) Full text and rfc822 format available.

Forcibly Merged 551042 551044 551047 551053 551067. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 15 Oct 2009 13:27:23 GMT) Full text and rfc822 format available.

Changed Bug title to 'libs no longer contained in package' from 'libpthread-stubs0: no shared object in new debian package V0.3-1' Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Thu, 15 Oct 2009 13:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#551053; Package libpthread-stubs0. (Fri, 16 Oct 2009 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to eric.valette@free.fr:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Fri, 16 Oct 2009 06:18:03 GMT) Full text and rfc822 format available.

Message #23 received at 551053@bugs.debian.org (full text, mbox):

From: Eric Valette <eric.valette@free.fr>
To: 551053@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Nouveau build requires the lib
Date: Fri, 16 Oct 2009 08:11:03 +0200
My nouveau git driver build process requires the libs to be build. Other
while the build fails. Runtime build with the lib now breaks. So there
is not only libdrm in the picture...

Please read the lib in /usr/lib

--eric






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Nov 2009 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:47:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.